| com.atlassian.jira.plugins.share.ShareService |
Known Indirect Subclasses
| |||||||||||||
Shares entities such as issues, saved searches or unsaved searches via e-mail.
| Nested Classes | |||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| ShareService.ValidateShareIssueResult | |||||||||||
| ShareService.ValidateShareResult | |||||||||||
| ShareService.ValidateShareSearchRequestResult | |||||||||||
| Public Methods | |||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
Given a valid ValidateShareIssueResult this method will send an e-mail to the users and fire a
ShareIssueEvent | |||||||||||
Given a valid ValidateShareIssueResult this method will send an e-mail to the users and fire a
ShareJqlEvent or ShareSearchRequestEvent
depending on if a saved filter was passed to the validate method. | |||||||||||
Confirms that the shareBean param contains either usernames or e-mails and also validates that the user
performing this operation has the permission to view other users in this JIRA instance.
| |||||||||||
Confirms that the shareRequest param contains either usernames or e-mails and also validates that the user
performing this operation has the permission to view other users in this JIRA instance.
| |||||||||||
Given a valid ValidateShareIssueResult this method will send an e-mail to the users and fire a ShareIssueEvent
| result | a valid validateShareIssueResult. |
|---|
Given a valid ValidateShareIssueResult this method will send an e-mail to the users and fire a ShareJqlEvent or ShareSearchRequestEvent
depending on if a saved filter was passed to the validate method.
| result | a valid validateShareIssueResult. |
|---|
Confirms that the shareBean param contains either usernames or e-mails and also validates that the user performing this operation has the permission to view other users in this JIRA instance.
| remoteUser | The user performing the share operation |
|---|---|
| shareBean | Bean containing information about who to share with |
| issue | The issue being shared |
Confirms that the shareRequest param contains either usernames or e-mails and also validates that the user performing this operation has the permission to view other users in this JIRA instance.
| remoteUser | The user performing the share operation |
|---|---|
| shareBean | Bean containing information about who to share with |
| searchRequest | A saved filter being shared or null if a unsaved JQL search is being shared |

